Loading...
Searching...
No Matches
Ui::CScreenAppearance Class Reference
Inheritance diagram for Ui::CScreenAppearance:
[legend]

## Public Member Functions

void | CreateInterface () override
bool | EventProcess (const Event &event) override
bool | GetGamerOnlyHead ()
float | GetPersoAngle ()

## Protected Member Functions

void | UpdatePerso ()
void | CameraPerso ()
void | FixPerso (int rank, int index)
void | ColorPerso ()
void | SetCamera (float x, float y, float cameraDistance)
| Move camera in that way that astronaut's origin is in (x, y) point on window.
Protected Member Functions inherited from Ui::CScreen
void | CreateVersionDisplay ()
void | SetBackground (const std::string &filename, bool scaled=false)

## Protected Attributes

int | m_appearanceTab
float | m_appearanceAngle
Protected Attributes inherited from Ui::CScreen
CRobotMain * | m_main
CInterface * | m_interface
CApplication * | m_app
CEventQueue * | m_eventQueue
Gfx::CEngine * | m_engine
CSoundInterface * | m_sound
const Math::Point | dim = Math::Point(32.0f/640.0f, 32.0f/480.0f)
const float | ox = 3.0f/640.0f
const float | oy = 3.0f/480.0f
const float | sx = (32.0f+2.0f)/640.0f
const float | sy = (32.0f+2.0f)/480.0f

## Member Function Documentation

## CreateInterface()

void Ui::CScreenAppearance::CreateInterface | ( |  | ) |

override virtual

Implements Ui::CScreen.

## EventProcess()

bool Ui::CScreenAppearance::EventProcess | ( | const Event & | event | ) |

override virtual

Implements Ui::CScreen.

## SetCamera()

void Ui::CScreenAppearance::SetCamera | ( | float | x,
|  | float | y,
|  | float | cameraDistance )

protected

Move camera in that way that astronaut's origin is in (x, y) point on window.

The documentation for this class was generated from the following files:

- src/ui/screen/screen_appearance.h
- src/ui/screen/screen_appearance.cpp